ON_CompressedBuffer Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_zlib.h>`

## Public Member Functions

| ON_CompressedBuffer ()
| ~ON_CompressedBuffer ()
| ON_CompressedBuffer (const ON_CompressedBuffer &src)
ON_CompressedBuffer & | operator= (const ON_CompressedBuffer &src)
bool | Compress (size_t sizeof__inbuffer, const void *inbuffer, int sizeof_element)
size_t | SizeOfUncompressedBuffer () const
bool | Uncompress (void *outbuffer, int *bFailedCRC) const
void | Destroy ()
bool | Write (ON_BinaryArchive &binary_archive) const
bool | Read (ON_BinaryArchive &binary_archive)
bool | CompressionInit (struct ON_CompressedBufferHelper *) const
bool | CompressionEnd (struct ON_CompressedBufferHelper *) const
size_t | DeflateHelper (struct ON_CompressedBufferHelper *, size_t sizeof___inbuffer, const void *in___buffer)
bool | InflateHelper (struct ON_CompressedBufferHelper *, size_t sizeof___outbuffer, void *out___buffer) const
bool | WriteChar (size_t count, const void *buffer)

## Public Attributes

size_t | m_sizeof_uncompressed
size_t | m_sizeof_compressed
ON__UINT32 | m_crc_uncompressed
ON__UINT32 | m_crc_compressed
int | m_method
int | m_sizeof_element
size_t | m_buffer_compressed_capacity
void * | m_buffer_compressed

## Detailed Description

Definition at line 49 of file opennurbs_zlib.h.

## Constructor & Destructor Documentation

## ON_CompressedBuffer() [1/2]

ON_CompressedBuffer::ON_CompressedBuffer | ( |  | ) |

## ~ON_CompressedBuffer()

ON_CompressedBuffer::~ON_CompressedBuffer | ( |  | ) |

## ON_CompressedBuffer() [2/2]

ON_CompressedBuffer::ON_CompressedBuffer | ( | const ON_CompressedBuffer & | src | ) |

## Member Function Documentation

## Compress()

bool ON_CompressedBuffer::Compress | ( | size_t | sizeof__inbuffer,
|  | const void * | inbuffer,
|  | int | sizeof_element
| ) |  |

## CompressionEnd()

bool ON_CompressedBuffer::CompressionEnd | ( | struct ON_CompressedBufferHelper * |  | ) | const

## CompressionInit()

bool ON_CompressedBuffer::CompressionInit | ( | struct ON_CompressedBufferHelper * |  | ) | const

## DeflateHelper()

size_t ON_CompressedBuffer::DeflateHelper | ( | struct ON_CompressedBufferHelper * | ,
|  | size_t | sizeof___inbuffer,
|  | const void * | in___buffer
| ) |  |

## Destroy()

void ON_CompressedBuffer::Destroy | ( |  | ) |

## InflateHelper()

bool ON_CompressedBuffer::InflateHelper | ( | struct ON_CompressedBufferHelper * | ,
|  | size_t | sizeof___outbuffer,
|  | void * | out___buffer
| ) |  | const

## operator=()

ON_CompressedBuffer& ON_CompressedBuffer::operator= | ( | const ON_CompressedBuffer & | src | ) |

## Read()

bool ON_CompressedBuffer::Read | ( | ON_BinaryArchive & | binary_archive | ) |

## SizeOfUncompressedBuffer()

size_t ON_CompressedBuffer::SizeOfUncompressedBuffer | ( |  | ) | const

## Uncompress()

bool ON_CompressedBuffer::Uncompress | ( | void * | outbuffer,
|  | int * | bFailedCRC
| ) |  | const

## Write()

bool ON_CompressedBuffer::Write | ( | ON_BinaryArchive & | binary_archive | ) | const

## WriteChar()

bool ON_CompressedBuffer::WriteChar | ( | size_t | count,
|  | const void * | buffer
| ) |  |

## Member Data Documentation

## m_buffer_compressed

void* ON_CompressedBuffer::m_buffer_compressed

Definition at line 142 of file opennurbs_zlib.h.

## m_buffer_compressed_capacity

size_t ON_CompressedBuffer::m_buffer_compressed_capacity

Definition at line 141 of file opennurbs_zlib.h.

## m_crc_compressed

ON__UINT32 ON_CompressedBuffer::m_crc_compressed

Definition at line 138 of file opennurbs_zlib.h.

## m_crc_uncompressed

ON__UINT32 ON_CompressedBuffer::m_crc_uncompressed

Definition at line 137 of file opennurbs_zlib.h.

## m_method

int ON_CompressedBuffer::m_method

Definition at line 139 of file opennurbs_zlib.h.

## m_sizeof_compressed

size_t ON_CompressedBuffer::m_sizeof_compressed

Definition at line 136 of file opennurbs_zlib.h.

## m_sizeof_element

int ON_CompressedBuffer::m_sizeof_element

Definition at line 140 of file opennurbs_zlib.h.

## m_sizeof_uncompressed

size_t ON_CompressedBuffer::m_sizeof_uncompressed

Definition at line 135 of file opennurbs_zlib.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_zlib.h